package com.goafanti.customer.bo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class CustomerListOut extends CustomerListIn{
	/** 客户ID **/
	private String uid;

	/** 联系人 **/
	private String contacts;

	/** 联系电话 **/
	private String contactMobile;

	/** 创建时间 **/
	private String createTime;

	/** 转换时间  **/
	private Date  transferTime;

	/** 营销员姓名 **/
	private String adminName;

	/** 专家发布状态**/
	private String releaseStatus;

	/** 审核意见**/
	private String auditOpinion;

	/** 是否为咨询师 **/
	private String consultant;

	/** 专家审核状态 **/
	private String expertAudit ;

	/** 最后跟进时间 **/
	private Date lastFollowTime;

	/** 最后签单时间 **/
	private String lastSignTime;

	/** 剩余私有时间 **/
	private String surplusFollowTime;

	/** 剩余签单时间 **/
	private String surplusSignTime;

	/** 资料所属人 **/
	private String informationMaintainer;

	private String shareType;

	private String mid;

	private Integer level;

	private String aName;
	/**
	 * 指导意见 0无 1有
	 */
	private Integer guidance;
	/**
	 * 签单 0否 1是
	 */
	private Integer signBills;

	/** 外联 0否 1是 */
	private Integer channel;
	/** 渠道 0否 1是 */
	private Integer newChannel;
	private Integer myUser;

	public Integer getMyUser() {
		return myUser;
	}

	public void setMyUser(Integer myUser) {
		this.myUser = myUser;
	}

	public Integer getNewChannel() {
		return newChannel;
	}

	public void setNewChannel(Integer newChannel) {
		this.newChannel = newChannel;
	}

	public Integer getChannel() {
		return channel;
	}

	public void setChannel(Integer channel) {
		this.channel = channel;
	}

	public String getAuditOpinion() {
		return auditOpinion;
	}

	public void setAuditOpinion(String auditOpinion) {
		this.auditOpinion = auditOpinion;
	}

	public String getReleaseStatus() {
		return releaseStatus;
	}

	public void setReleaseStatus(String releaseStatus) {
		this.releaseStatus = releaseStatus;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public String getContactMobile() {
		return contactMobile;
	}

	public void setContactMobile(String contactMobile) {
		this.contactMobile = contactMobile;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	public Date getTransferTime() {
		return transferTime;
	}

	public void setTransferTime(Date transferTime) {
		this.transferTime = transferTime;
	}




	public String getAdminName() {
		return adminName;
	}

	public void setAdminName(String adminName) {
		this.adminName = adminName;
	}

	public String getExpertAudit() {
		return expertAudit;
	}

	public void setExpertAudit(String expertAudit) {
		this.expertAudit = expertAudit;
	}
	public String getConsultant() {
		return consultant;
	}

	public void setConsultant(String consultant) {
		this.consultant = consultant;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	public Date getLastFollowTime() {
		return lastFollowTime;
	}

	public void setLastFollowTime(Date lastFollowTime) {
		this.lastFollowTime = lastFollowTime;
	}

	public String getLastSignTime() {
		return lastSignTime;
	}

	public void setLastSignTime(String lastSignTime) {
		this.lastSignTime = lastSignTime;
	}

	public String getSurplusFollowTime() {
		return surplusFollowTime;
	}

	public void setSurplusFollowTime(String surplusFollowTime) {
		this.surplusFollowTime = surplusFollowTime;
	}

	public String getSurplusSignTime() {
		return surplusSignTime;
	}

	public void setSurplusSignTime(String surplusSignTime) {
		this.surplusSignTime = surplusSignTime;
	}

	public String getInformationMaintainer() {
		return informationMaintainer;
	}

	public void setInformationMaintainer(String informationMaintainer) {
		this.informationMaintainer = informationMaintainer;
	}

	public String getShareType() {
		return shareType;
	}

	public void setShareType(String shareType) {
		this.shareType = shareType;
	}

	public String getMid() {
		return mid;
	}

	public void setMid(String mid) {
		this.mid = mid;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public String getaName() {
		return aName;
	}

	public void setaName(String aName) {
		this.aName = aName;
	}

	public Integer getGuidance() {
		return guidance;
	}

	public void setGuidance(Integer guidance) {
		this.guidance = guidance;
	}

	public Integer getSignBills() {
		return signBills;
	}

	public void setSignBills(Integer signBills) {
		this.signBills = signBills;
	}



}
